function [omat1,omat2]=rrcplx(imat1,imat2)
% *** omplex merge of two matrices ***
% Y. Matsuki, December, 2007
% usage:
% [omat1,omat2]=rrcplx(mat1,mat2)
% ========================================================
% construct two complex matrices from two source matrices

tic
%nc=length(imat1(1,:));

        r1=real(imat1);
        i1=imag(imat1);
        r2=real(imat2);
        i2=imag(imat2);

        omat1=complex(r1,r2);
        omat2=complex(i1,i2);

% taking 15 times longer time for nc=512.
%for n=1:nc
%        omat1(:,n)=complex(r1(:,n),r2(:,n));
%        omat2(:,n)=complex(i1(:,n),i2(:,n));
%        % disp(n);
%end
toc
